[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# THintEvent

Specifies an event handler signalled to get the hint text for an action.

## Declaration

Source position: actnlist.pas line 148

`type THintEvent = procedure(`
`var HintStr: string;`
`var CanShow: Boolean`
`) of object;`

## Arguments

`HintStr` |  | Returns the hint text for the action instance.
`CanShow` |  | Indicates whether the hint text can be displayed for the action.

## Description

THintEvent is an object procedure type which specifies an event handler signalled to get the hint text for a TCustomAction instance. THintEvent is the type used for the OnHint property in TCustomAction.

## See also

TCustomAction.OnHint |  | OnHint - action to be taken when a hint is required.
TControl.OnShowHint |  | Event handler signalled when a hint window is displayed for the control.
TApplication.OnShowHint |  | Event handler signalled prior to displaying a hint window.